package speiger.src.coreengine.rendering.gui.components.base;

import speiger.src.coreengine.rendering.gui.layout.constraints.ConstraintContainer;
import speiger.src.coreengine.rendering.guiOld.helper.box.IGuiBox;

public interface IComponentScreen {
	public IGuiBox getBox();
	public long clock();
	
	public void pushLayer();
	public void popLayer();
	public GuiComponent addComponent(GuiComponent component, ConstraintContainer constraints);
	public boolean hasComponent(GuiComponent component);
	public boolean removeComponent(GuiComponent component);
}
